Bug 991459 - Distro trees with no URLs are never expired
Distro trees with no URLs are never expired
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: general (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 08:46 EDT by Raymond Mancy
Modified: 2014-12-07 20:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 00:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-08-02 08:46:52 EDT
Description of problem:

If a distro tree has its URL entries removed, then beaker-expire-distro will not remove it

Version-Release number of selected component (if applicable):

0.13

How reproducible:

Always

Steps to Reproduce:
1. Remove all the URLs for a distro tree
2. run beaker-expire-distro
3.

Actual results:

Distro is not expired

Expected results:

Should be expired

Additional info:

If a distro tree has no URLs it should warrant it being expired.
Comment 2 Dan Callaghan 2013-08-04 19:01:19 EDT
I don't understand this bug...

(In reply to Raymond Mancy from comment #0)
> Steps to Reproduce:
> 1. Remove all the URLs for a distro tree

Do you mean, remove all the lab controller associations for a distro tree, from the Lab Controllers tag on the distro tree page? So that there are no URLs associated with the distro tree in the Beaker database?

In that case it *is* expired, by definition. That's what beaker-expire-distros does. There is no separate mechanism to mark a distro as expired apart from removing all its lab controller associations.

Or, are you saying that beaker-expire-distros is failing to remove the lab controller associations when the tree is removed and the URLs start returning 404?
Comment 3 Raymond Mancy 2013-08-05 00:40:31 EDT
Sorry I think I was starting to fade when I filed this and this bug makes no sense.

Note You need to log in before you can comment on or make changes to this bug.